---
title: List case links
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Case Management
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# List case links{% #list-case-links %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                        |
| ----------------- | --------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/cases/link |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/cases/link |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/cases/link      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/cases/link      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/cases/link  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/cases/link |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/cases/link     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/cases/link |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/cases/link |

### Overview

Returns all links associated with a case. Links define relationships (for example, BLOCKS) between cases. Requires entity_type and entity_id query parameters.

OAuth apps require the `cases_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#case-management) to access this endpoint.



### Arguments

#### Query Strings

| Name                          | Type   | Description                                                                                               |
| ----------------------------- | ------ | --------------------------------------------------------------------------------------------------------- |
| entity_type [*required*] | string | The entity type to look up links for. Use `CASE` to find links for a specific case.                       |
| entity_id [*required*]   | string | The UUID of the entity to look up links for.                                                              |
| relationship                  | string | Optional filter to only return links of a specific relationship type (for example, `BLOCKS` or `CAUSES`). |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a list of case links.

| Parent field | Field                                | Type     | Description                                                                                                                                                                                                                                                                                          |
| ------------ | ------------------------------------ | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]               | [object] | A list of case links.                                                                                                                                                                                                                                                                                |
| data         | attributes [*required*]         | object   | Attributes describing a directional relationship between two entities (cases, incidents, or pages).                                                                                                                                                                                                  |
| attributes   | child_entity_id [*required*]    | string   | The UUID of the child (target) entity in the relationship.                                                                                                                                                                                                                                           |
| attributes   | child_entity_type [*required*]  | string   | The type of the child entity. Allowed values: `CASE`, `INCIDENT`, `PAGE`, `AGENT_CONVERSATION`.                                                                                                                                                                                                      |
| attributes   | parent_entity_id [*required*]   | string   | The UUID of the parent (source) entity in the relationship.                                                                                                                                                                                                                                          |
| attributes   | parent_entity_type [*required*] | string   | The type of the parent entity. Allowed values: `CASE`, `INCIDENT`, `PAGE`, `AGENT_CONVERSATION`.                                                                                                                                                                                                     |
| attributes   | relationship [*required*]       | string   | The type of directional relationship. Allowed values: `RELATES_TO` (bidirectional association), `CAUSES` (parent causes child), `BLOCKS` (parent blocks child), `DUPLICATES` (parent duplicates child), `PARENT_OF` (hierarchical), `SUCCESSOR_OF` (sequence), `ESCALATES_TO` (priority escalation). |
| data         | id [*required*]                 | string   | The case link identifier.                                                                                                                                                                                                                                                                            |
| data         | type [*required*]               | enum     | JSON:API resource type for case links. Allowed enum values: `link`                                                                                                                                                                                                                                   |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "child_entity_id": "4417921d-0866-4a38-822c-6f2a0f65f77d",
        "child_entity_type": "CASE",
        "parent_entity_id": "bf0cbac6-4c16-4cfb-b6bf-ca5e0ec37a4f",
        "parent_entity_type": "CASE",
        "relationship": "BLOCKS"
      },
      "id": "804cd682-55f6-4541-ab00-b608b282ea7d",
      "type": "link"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Required query arguments export entity_type="CASE" export entity_id="bf0cbac6-4c16-4cfb-b6bf-ca5e0ec37a4f" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/cases/link?entity_type=${entity_type}&entity_id=${entity_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
List case links returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.case_management_api import CaseManagementApi

configuration = Configuration()
configuration.unstable_operations["list_case_links"] = True
with ApiClient(configuration) as api_client:
    api_instance = CaseManagementApi(api_client)
    response = api_instance.list_case_links(
        entity_type="CASE",
        entity_id="bf0cbac6-4c16-4cfb-b6bf-ca5e0ec37a4f",
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# List case links returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.list_case_links".to_sym] = true
end
api_instance = DatadogAPIClient::V2::CaseManagementAPI.new
p api_instance.list_case_links("CASE", "bf0cbac6-4c16-4cfb-b6bf-ca5e0ec37a4f")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// List case links returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.ListCaseLinks", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewCaseManagementApi(apiClient)
	resp, r, err := api.ListCaseLinks(ctx, "CASE", "bf0cbac6-4c16-4cfb-b6bf-ca5e0ec37a4f", *datadogV2.NewListCaseLinksOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `CaseManagementApi.ListCaseLinks`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `CaseManagementApi.ListCaseLinks`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// List case links returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.CaseManagementApi;
import com.datadog.api.client.v2.model.CaseLinksResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.listCaseLinks", true);
    CaseManagementApi apiInstance = new CaseManagementApi(defaultClient);

    try {
      CaseLinksResponse result =
          apiInstance.listCaseLinks("CASE", "bf0cbac6-4c16-4cfb-b6bf-ca5e0ec37a4f");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling CaseManagementApi#listCaseLinks");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// List case links returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_case_management::CaseManagementAPI;
use datadog_api_client::datadogV2::api_case_management::ListCaseLinksOptionalParams;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.ListCaseLinks", true);
    let api = CaseManagementAPI::with_config(configuration);
    let resp = api
        .list_case_links(
            "CASE".to_string(),
            "bf0cbac6-4c16-4cfb-b6bf-ca5e0ec37a4f".to_string(),
            ListCaseLinksOptionalParams::default(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * List case links returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.listCaseLinks"] = true;
const apiInstance = new v2.CaseManagementApi(configuration);

const params: v2.CaseManagementApiListCaseLinksRequest = {
  entityType: "CASE",
  entityId: "bf0cbac6-4c16-4cfb-b6bf-ca5e0ec37a4f",
};

apiInstance
  .listCaseLinks(params)
  .then((data: v2.CaseLinksResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
